Package: org.grails.config

## [Groovy] Class PrefixedMapPropertySource

- org.grails.config.PrefixedMapPropertySource

-     @groovy.transform.CompileStatic
      class PrefixedMapPropertySource
      extends org.springframework.core.env.EnumerablePropertySource

  A org.springframework.core.env.PropertySource with keys prefixed by the given prefix

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `prefix` |
    `private java.lang.String[]` | `propertyNames` |
    `private org.springframework.core.env.EnumerablePropertySource` | `source` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `prefix`
    `java.lang.String[]` | `propertyNames`
    `org.springframework.core.env.EnumerablePropertySource` | `source`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PrefixedMapPropertySource (java.lang.String prefix, org.springframework.core.env.EnumerablePropertySource source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `getProperty(java.lang.String name)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.core.env.EnumerablePropertySource` | `org.springframework.core.env.EnumerablePropertySource#containsProperty(java.lang.String), org.springframework.core.env.EnumerablePropertySource#getPropertyNames(), org.springframework.core.env.EnumerablePropertySource#named(java.lang.String), org.springframework.core.env.EnumerablePropertySource#getSource(), org.springframework.core.env.EnumerablePropertySource#getProperty(java.lang.String), org.springframework.core.env.EnumerablePropertySource#equals(java.lang.Object), org.springframework.core.env.EnumerablePropertySource#toString(), org.springframework.core.env.EnumerablePropertySource#hashCode(), org.springframework.core.env.EnumerablePropertySource#getName(), org.springframework.core.env.EnumerablePropertySource#wait(long), org.springframework.core.env.EnumerablePropertySource#wait(long, int), org.springframework.core.env.EnumerablePropertySource#wait(), org.springframework.core.env.EnumerablePropertySource#getClass(), org.springframework.core.env.EnumerablePropertySource#notify(), org.springframework.core.env.EnumerablePropertySource#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.String prefix

    - #### private final java.lang.String[] propertyNames

    - #### private final org.springframework.core.env.EnumerablePropertySource source

  - ### Property Detail

    - #### final java.lang.String prefix

    - #### final java.lang.String[] propertyNames

    - #### final org.springframework.core.env.EnumerablePropertySource source

  - ### Constructor Detail

    - #### PrefixedMapPropertySource(java.lang.String prefix, org.springframework.core.env.EnumerablePropertySource source)

  - ### Method Detail

    - #### @java.lang.Override java.lang.Object getProperty(java.lang.String name)